@import './../../../../../shared/styles/variables';

.case-summary-list {
  padding: 1.33rem 0 1.1rem 1.1rem;
  margin: 0 auto;
  display: flex;
  flex: 1 1 auto;
  flex-flow: column nowrap;
  align-items: center;
  border-top: 1px solid $light-grey;
}


.case-summary-list-item-link {
  font-size: 0.933rem;
  color: $dark-grey;
  padding: .333rem 0;
  display: flex;

}

.case-summary-list-item-link-inner {
  display: flex;
  align-items: baseline;
}

a.case-summary-list-item-link[href] {
  color: $primary-color;
  text-decoration: underline;
}

.case-summary-list-item-label {
  padding: 0 1rem;

  &.case-navigation-link-label {
    margin: 0;
  }
}

.case-summary-list-item-icon {
  font-size: 1.2rem;
  //position: relative;
  //top:2px;
}

.case-summary-list-item {
  .case-summary-list-item-new-tab-button {
    margin-left: auto;
    padding: 0 5px 0 0;

    .case-summary-list-item-icon.case-summary-list-item-icon-new-tab {
      color: $grey;
      font-size: .9rem;
    }
  }
}

.case-summary-list-item[data-name="requestor"] {
  .case-summary-list-item-icon {
    color: $blue;
  }
}

.case-summary-list-item[data-name="assignee"] {
  .case-summary-list-item-icon {
    color: $yellow;
  }
}

.case-summary-list-item[data-name="department"] {
  .case-summary-list-item-icon {
    color: $green;
  }
}

.case-summary-list-item[data-name="registration_date"],
.case-summary-list-item[data-name="target_date"] {
  .case-summary-list-item-icon {
    color: $red;
  }
}

.case-summary-list-item.passed-due-date {
  .case-summary-list-item-label {
    color: $red;
    font-weight: 600;
  }
}

.case-summary-list-item {
  width: 100%;

  button {
    @include button-reset();

    .popup-menu-button-label,
    .case-summary-list-item-label {
      color: $primary-color;
      text-decoration: underline;
    }
  }

  &[data-name="actions"] {
    display: flex;
    justify-content: center;
    margin-top: 10px;
  }

  &[data-name="actions"]>div>*>button {
    width: calc(100% - 1.25rem);
    background: $primary-color;
    text-align: center;
    padding: 6px;

    span {
      text-transform: uppercase;
      text-decoration: none;
      font-weight: 500;

      span {
        color: #fff;
      }
    }

    zs-icon {
      display: none;
    }

    &:hover,
    &:focus,
    &:active {
      background: #3288ac;
    }
  }


  &[data-name="actions"]>div>*>ul {
    width: 240px;
  }

  &[data-name="about"] {
    overflow: visible;

    a {
      background: rgba(0, 0, 0, 0.05);
      border-radius: 2px;
      text-decoration: none;
      color: $icon-grey;
      text-transform: uppercase;
      -webkit-tap-highlight-color: transparent;
      height: $button-height;
      width: auto;
      line-height: $button-line-height;
      margin: .8rem 1.25rem 0 0;
      padding: .4rem 0;
      font-weight: 500;

      span {
        width: 100%;
        justify-content: center;
      }

      zs-icon {
        display: none;
      }

      &:hover,
      &:focus,
      &:active {
        background: rgba(0, 0, 0, 0.1);
        outline-width: 0;
        color: #333;
      }
    }
  }

  &[data-name="payment_amount"] {
    .mdi-currency-eur {
      color: $dark-grey;
    }

    .case-navigation-link-label .case-summary-list-item-icon {
      margin-left: 3px;
    }

    &.payment-status-success {
      .case-navigation-link-label .case-summary-list-item-icon {
        color: $green;
      }
    }

    &.payment-status-pending,
    &.payment-status-failed {
      .case-navigation-link-label .case-summary-list-item-icon {
        color: $red;
      }
    }

  }
}

.full-screen-div {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.case-sidebar.collapsed {

  .popup-menu-button-label,
  .case-summary-list-item .case-summary-list-item-new-tab-button {
    display: none;
  }

  .case-summary-list-item {
    &[data-name="about"] a {
      border-radius: 100%;
      height: 2rem;
      width: 2rem;
      line-height: 2rem;
      padding: .2rem 0;
      margin-left: -.5rem;

      zs-icon {
        display: inline-block;
        padding: 0 .25rem;
        font-size: 1.5rem;
      }
    }

    &[data-name="actions"]>div>*>button {
      border-radius: 100%;
      height: 2rem;
      width: 2rem;
      line-height: 2rem;
      padding: .1rem 0px;
      margin-left: -.5rem;

      span {
        color: white;
        font-size: 1.5rem;
        font-weight: 500;
      }

      zs-icon {
        display: inline-block;
      }
    }
  }
}

.case-action-menu-button-wrapper {
  width: 100%;
}